

<?php
// Allow from any origin
if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400');    // cache for 1 day
	header('X-Frame-Options: SAMEORIGIN');
}

// Access-Control headers are received during OPTIONS requests
if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
        header("Access-Control-Allow-Methods: GET, POST, OPTIONS");

    if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
        header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

    exit(0);
}
error_reporting(E_ALL);

require 'config.php';
require 'Slim/Slim.php';

\Slim\Slim::registerAutoloader();
$app = new \Slim\Slim();

$app->post('/login','login'); /* User login */
$app->post('/signup','signup'); /* User Signup  */
$app->post('/getNotif','getNotif'); /* User Notification  */
$app->get('/TaskPeriksaTask','TaskPeriksaTask'); /* Periksa Task  */
$app->get('/TaskMonitoringTask','TaskMonitoringTask'); /* Monitoring Task  */
$app->get('/TaskDibagikan','TaskDibagikan'); /* Task yang di bagikan  */
$app->get('/TaskKonfirmasi','TaskKonfirmasi'); /* Daftar Task Yang Perlu Dikonfirmasi  */
$app->get('/TaskBelumDiApprove','TaskBelumDiApprove'); /* Daftar approval task  */
$app->get('/TaskBelumDiperiksa','TaskBelumDiperiksa'); /* Daftar Task Belum di Periksa  */
$app->get('/TaskAgendaMeeting','TaskAgendaMeeting'); /* Agenda Meeting  */
$app->get('/MonitoringProgres','MonitoringProgres'); /* Monitoring Progres Task */
$app->get('/MonitoringPerubahanTask','MonitoringPerubahanTask'); /* Monitoring Perubahan Task */
$app->get('/MonitoringTasklistSedangBerjalanUser','MonitoringTasklistSedangBerjalanUser'); /* Monitoring Tasklist Sedang Berjalan User*/
$app->get('/MonitoringTasklistSedangBerjalanGM','MonitoringTasklistSedangBerjalanGM'); /* Monitoring Tasklist Sedang Berjalan GM*/
$app->get('/MonitoringTaskSudahSelesai','MonitoringTaskSudahSelesai');/* Monitoring Rekap Task Sudah Selesai*/
$app->get('/MonitoringRekapTaskSudahSelesai','MonitoringRekapTaskSudahSelesai');/* Monitoring Rekap Task Sudah Selesai*/
$app->get('/MonitoringObjektifPenjelasan','MonitoringObjektifPenjelasan');/* Monitoring Objektif Penjelasan*/
$app->post('/getImages', 'getImages');

$app->run();


/************************* USER LOGIN *************************************/
/* ### User login ### */
function login() {
    
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    
    try {
        
        $db = getDB();
        $userData ='';
        $sql = "SELECT username, name, email, mobile_phone FROM application_user WHERE (username=:username or email=:username) and password=:password and expired=0";
        $stmt = $db->prepare($sql);
        $stmt->bindParam("username", $data->username, PDO::PARAM_STR);
        $password=hash('sha256',$data->password);
        $stmt->bindParam("password", $password, PDO::PARAM_STR);
        $stmt->execute();
        $mainCount=$stmt->rowCount();
        $userData = $stmt->fetch(PDO::FETCH_OBJ);
        
        if(!empty($userData))
        {
            $username=$userData->username;
            $userData->token = apiToken($username);
        }
        
        $db = null;
         if($userData){
               $userData = json_encode($userData);
                echo '{"userData": ' .$userData . '}';
            } else {
               echo '{"error":{"text":"Bad request wrong username and password", "password":"'.$password.'"}}';
            }

           
    }
    catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


/* ### User registration ### */
function signup() {
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    $email=$data->email;
    $name=$data->name;
    $username=$data->username;
    $password=$data->password;
    
    try {
        
        $username_check = preg_match('~^[A-Za-z0-9_]{3,20}$~i', $username);
        $email_check = preg_match('~^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.([a-zA-Z]{2,4})$~i', $email);
        $password_check = preg_match('~^[A-Za-z0-9!@#$%^&*()_]{6,20}$~i', $password);
        
        echo $email_check.'<br/>'.$email;
        
        if (strlen(trim($username))>0 && strlen(trim($password))>0 && strlen(trim($email))>0 && $email_check>0 && $username_check>0 && $password_check>0)
        {
            echo 'here';
            $db = getDB();
            $userData = '';
            $sql = "SELECT username FROM register_users WHERE username=:username or email=:email";
            $stmt = $db->prepare($sql);
            $stmt->bindParam("username", $username,PDO::PARAM_STR);
            $stmt->bindParam("email", $email,PDO::PARAM_STR);
            $stmt->execute();
            $mainCount=$stmt->rowCount();
            $created=time();
            if($mainCount==0)
            {
                
                /*Inserting user values*/
                $sql1="INSERT INTO register_users(username,password,email,name)VALUES(:username,:password,:email,:name)";
                $stmt1 = $db->prepare($sql1);
                $stmt1->bindParam("username", $username,PDO::PARAM_STR);
                $password=hash('sha256',$data->password);
                $stmt1->bindParam("password", $password,PDO::PARAM_STR);
                $stmt1->bindParam("email", $email,PDO::PARAM_STR); 
                $stmt1->bindParam("name", $name,PDO::PARAM_STR);
                $stmt1->execute();
                
                $userData=internalUserDetails($email);
                
            }
            
            $db = null;
         

            if($userData){
               $userData = json_encode($userData);
                echo '{"userData": ' .$userData . '}';
            } else {
               echo '{"error":{"text":"Enter valid data"}}';
            }

           
        }
        else{
            echo '{"error":{"text":"Enter valid data"}}';
        }
    }
    catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function email() {
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    $email=$data->email;

    try {
       
        $email_check = preg_match('~^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.([a-zA-Z]{2,4})$~i', $email);
       
        if (strlen(trim($email))>0 && $email_check>0)
        {
            $db = getDB();
            $userData = '';
            $sql = "SELECT username FROM emailUsers WHERE email=:email";
            $stmt = $db->prepare($sql);
            $stmt->bindParam("email", $email,PDO::PARAM_STR);
            $stmt->execute();
            $mainCount=$stmt->rowCount();
            $created=time();
            if($mainCount==0)
            {
                
                /*Inserting user values*/
                $sql1="INSERT INTO emailUsers(email)VALUES(:email)";
                $stmt1 = $db->prepare($sql1);
                $stmt1->bindParam("email", $email,PDO::PARAM_STR);
                $stmt1->execute();
                
                
            }
            $userData=internalEmailDetails($email);
            $db = null;
            if($userData){
               $userData = json_encode($userData);
                echo '{"userData": ' .$userData . '}';
            } else {
               echo '{"error":{"text":"Enter valid dataaaa"}}';
            }
        }
        else{
            echo '{"error":{"text":"Enter valid data"}}';
        }
    }
    
    catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


/* ### internal Username Details ### */


/* ########## USER NOTIFICATION ###########*/
function getNotif(){
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    $message = $data->message;

    try {
            $notifData = '';
            $db = getDB();

	    $sql = "SELECT * FROM user_notification where message like '%%' ORDER BY send_time DESC LIMIT 15";
	    $stmt = $db->prepare($sql);
	    $stmt->bindParam("message ", $message, PDO::PARAM_STR);
            $stmt->execute();
            $notifData = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($notifData )
            echo '{"notifData": ' . json_encode($notifData) . '}';
            else
            echo '{"notifData": ""}';
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function internalUserDetails($input) {
    
    try {
        $db = getDB();
        $sql = "SELECT user_id, name, email, username FROM users WHERE username=:input or email=:input";
        $stmt = $db->prepare($sql);
        $stmt->bindParam("input", $input,PDO::PARAM_STR);
        $stmt->execute();
        $usernameDetails = $stmt->fetch(PDO::FETCH_OBJ);
        $usernameDetails->token = apiToken($usernameDetails->user_id);
        $db = null;
        return $usernameDetails;
        
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
    
}

function TaskPeriksaTask(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM tblformtask_hdr where Status=1 and Complete=0 and PerID IN (select PerID from tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE email=:Email))";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }

}

function TaskMonitoringTask(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "select * from tblformtask_hdr where Status=4 and Complete=1 and PerID IN (select PerID from tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE email=:Email))";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }

}
function TaskDibagikan(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vwutlaksesuser where Email=:Email and Status=4 and Complete = 1 ORDER BY CreatedDate ASC";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }

}

function TaskKonfirmasi(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vw_konfirmasitask where EmailPicPrimary=:Email ORDER BY CreatedDate ASC";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


function TaskBelumDiApprove(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vw_approvaltask where EmailPicTop=:Email ORDER BY CreatedDate ASC";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function TaskBelumDiperiksa(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "select * from tblformtask_hdr where Status=1 and Complete=0 and PerID IN (select PerID from tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE email=:Email))";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function TaskAgendaMeeting(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vw_agenda WHERE TaskID in (select TaskID from tblutlaksesuser WHERE LoginID=(SELECT LoginID from tblutllogin WHERE email=:Email)) and Tglmeeting IS NOT NULL";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


function MonitoringProgres(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "select * from tblformtask_hdr where PerID IN(select PerID FROM tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE Email =:Email)) and Status!='0'";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


function MonitoringPerubahanTask(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM `tblformtask_hdr` where Status !='0' and TaskID in (select TaskID from tblutlaksesuser WHERE LoginID=(SELECT LoginID from tblutllogin WHERE Email =:Email))";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function MonitoringTasklistSedangBerjalanUser(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vw_formtask_hdr where Status='4' and TaskID in (select TaskID from tblutlaksesuser  WHERE LoginID=(SELECT LoginID from tblutllogin WHERE Email =:Email))";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}


function MonitoringTasklistSedangBerjalanGM(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "select * from vw_formtask_hdr where PerID IN (SELECT PerID from tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE Email =:Email)) and Status='4'";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function MonitoringTaskSudahSelesai(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM tblformtask_hdr where PerID IN(select PerID FROM tblutlaksesperusahaan where GroupID=(SELECT GroupID from tblutllogin WHERE Email =:Email)) and Status=5";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

function MonitoringObjektifPenjelasan(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT * FROM vwutlaksesuser where LoginID=(SELECT LoginID from tblutllogin WHERE Email =:Email) and Status=4 and Complete=1";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}
function MonitoringRekapTaskSudahSelesai(){
    $app = new \Slim\Slim();
	$Email = $app->request->params('email');
	
    try {
        if($Email){
            $DataTask = '';
            $db = getDB();
          
                $sql = "SELECT b.TaskID,b.JudulTask
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=1 and c.status=2) AS JumlahUbahJudul 
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=2 AND c.Status=2) AS JumlahUbahTarget
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=3 AND c.Status=2) AS JumlahTambahSubTask
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=4 AND c.Status=2) AS JumlahPerubahanSubTask
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=5 AND c.Status=2) AS JumlahPenghapusanSubTask
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=6 AND c.Status=2) AS JumlahUbahPic
						,(select COUNT(c.TaskID) from tblubahtask c where c.TaskID= a.TaskID and c.Kategori=7 AND c.Status=2) AS JumlahPembatalanTask
						FROM tblubahtask AS a LEFT JOIN tblformtask_hdr AS b ON a.TaskID = b.TaskID
						WHERE b.PerID IN (SELECT PerID FROM tblutlaksesperusahaan WHERE GroupID=(SELECT GroupID from tblutllogin WHERE Email =:Email)) and a.status='2' GROUP BY a.TaskID";
                $stmt = $db->prepare($sql);
                $stmt->bindParam("Email", $Email, PDO::PARAM_STR);
          
            $stmt->execute();
            $DataTask = $stmt->fetchAll(PDO::FETCH_OBJ);
           
            $db = null;

            if($DataTask)
            echo '{"status":"ok", "DataTask": ' . json_encode($DataTask) . '}';
            else
            echo '{"status":"error", "DataTask": ""}';
        } else{
            echo '{"status":"error", "error":{"text":"No access", "email":'.$encode_email.'}}';
        }
       
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}
$app->post('/userImage','userImage'); /* User Details */
function userImage(){
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    $user_id=$data->user_id;
    $token=$data->token;
    $imageB64=$data->imageB64;
    $systemToken=apiToken($user_id);
    try {
        if(1){
            $db = getDB();
            $sql = "INSERT INTO imagesData(b64,user_id_fk) VALUES(:b64,:user_id)";
            $stmt = $db->prepare($sql);
            $stmt->bindParam("user_id", $user_id, PDO::PARAM_INT);
            $stmt->bindParam("b64", $imageB64, PDO::PARAM_STR);
            $stmt->execute();
            $db = null;
            echo '{"success":{"status":"uploaded"}}';
        } else{
            echo '{"error":{"text":"No access"}}';
        }
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}

$app->post('/getImages', 'getImages');
function getImages(){
    $request = \Slim\Slim::getInstance()->request();
    $data = json_decode($request->getBody());
    $user_id=$data->user_id;
    $token=$data->token;
    
    $systemToken=apiToken($user_id);
    try {
        if(1){
            $db = getDB();
            $sql = "SELECT b64 FROM imagesData";
            $stmt = $db->prepare($sql);
           
            $stmt->execute();
            $imageData = $stmt->fetchAll(PDO::FETCH_OBJ);
            $db = null;
            echo '{"imageData": ' . json_encode($imageData) . '}';
        } else{
            echo '{"error":{"text":"No access"}}';
        }
    } catch(PDOException $e) {
        echo '{"error":{"text":'. $e->getMessage() .'}}';
    }
}